%% test code for plot the force hysteresis and pressure
clear
clc
load("upload4TU_aoa170_fre2_amp_10.mat")
%%
meanaoa = 170; % [deg]
amplitude = 10; % [deg]
%% Cl
% figure('Position',[1500 0 550 440])
figure
% Plot the shaded region
fill([aoat_cycle_mean_us, fliplr(aoat_cycle_mean_us)], inBetween1, 'red', 'FaceAlpha', 0.3, 'EdgeAlpha', 0);
hold on
fill([aoat_cycle_mean_ds, fliplr(aoat_cycle_mean_ds)], inBetween2, 'red', 'FaceAlpha', 0.3, 'EdgeAlpha', 0);
plot(aoat_cycle_mean_ds, Clt_corr_cycle_mean_ds, '--',linewidth =2.5,color = 'black');
plot(aoat_cycle_mean_us, Clt_corr_cycle_mean_us, linewidth =2.5,color = 'black');
xlabel('$\alpha$ [$^\circ$]', 'Interpreter', 'latex')
ylabel('$C_{l}$ [-]', 'Interpreter', 'latex')
xlim([meanaoa-amplitude-1,meanaoa+amplitude+1]);
set(gca,'fontsize',16);
set(gca,'TickLabelInterpreter','latex')
set(gcf, 'Renderer', 'painters');
% ylim([0.8,1.8])
grid on
set(gca, 'LooseInset', get(gca, 'TightInset'))
%% Cd
% figure('Position',[1500 0 550 440])
figure
% Plot the shaded region
fill([aoat_cycle_mean_us, fliplr(aoat_cycle_mean_us)], inBetween3, 'red', 'FaceAlpha', 0.3, 'EdgeAlpha', 0);
hold on
fill([aoat_cycle_mean_ds, fliplr(aoat_cycle_mean_ds)], inBetween4, 'red', 'FaceAlpha', 0.3, 'EdgeAlpha', 0);
plot(aoat_cycle_mean_ds, Cdt_corr_cycle_mean_ds, '--',linewidth =2.5,color = 'black');
plot(aoat_cycle_mean_us, Cdt_corr_cycle_mean_us, linewidth =2.5,color = 'black');
xlabel('$\alpha$ [$^\circ$]', 'Interpreter', 'latex')
ylabel('$C_{d}$ [-]', 'Interpreter', 'latex')
xlim([meanaoa-amplitude-1,meanaoa+amplitude+1]);
set(gca,'fontsize',16);
set(gca,'TickLabelInterpreter','latex')
set(gcf, 'Renderer', 'painters');
% ylim([0.8,1.8])
grid on
set(gca, 'LooseInset', get(gca, 'TightInset'))
%% pressure coefficient
[X, Y] = meshgrid(t_star, coord_x_up);
figure
s = pcolor(X, Y, Cpt_up_cor_mean);
s.EdgeAlpha = 0;
xlabel('t* [-]')
ylabel('x/c [-]')

